@ECHO OFF 
@TITLE Exchange Shutdown and Reboot Script
@COLOR 0A
SETLOCAL

ECHO  ͻ
ECHO                                                                              
ECHO                            Script by Pete Long                               
ECHO                         http://www.petenetlive.com                           
ECHO                         Updated on January 10, 2012                          
ECHO                                                                              
ECHO    This script will Shutdown or Reboot Exchange Server 2010 when installed   
ECHO                         on a Domain Controller.                              
ECHO                                                                              
ECHO                                                                              
ECHO  ͼ
ECHO.

ECHO.
ECHO 1. SHUTDOWN the server.
ECHO 2. REBOOT the server.
ECHO 3. ABORT shutdown.
ECHO 0. Exit.
ECHO.
CHOICE /C:1230

IF ERRORLEVEL 4 GOTO END
IF ERRORLEVEL 3 GOTO ABORT
IF ERRORLEVEL 2 GOTO REBOOT
IF ERRORLEVEL 1 GOTO SHUTDOWN
IF ERRORLEVEL 0 GOTO END
GOTO END

:ABORT
shutdown /a
GOTO END

:REBOOT
SET PARAMETERS=/r /c "REBOOTING server"
GOTO STOPSERVICES

:SHUTDOWN
SET PARAMETERS=/s /c "SHUTDOWN server"
GOTO STOPSERVICES


:STOPSERVICES
ECHO ON
ECHO Stopping Exchange Services

start /min net stop "Microsoft Search  (Exchange)" /yes
start /min net stop "Microsoft Exchange Transport Log Search" /yes
start /min net stop "Microsoft Exchange Transport" /yes
start /min net stop "Microsoft Exchange Throttling" /yes
start /min net stop "Microsoft Exchange System Attendant" /yes
start /min net stop "Microsoft Exchange Service Host" /yes
start /min net stop "Microsoft Exchange RPC CLient Access" /yes
start /min net stop "Microsoft Exchange Replication" /yes
start /min net stop "Microsoft Exchange Protected Service host" /yes
start /min net stop "Microsoft Exchange POP3" /yes
start /min net stop "Microsoft Exchange Monitoring" /yes
start /min net stop "Microsoft Exchange Mailbox Replication" /yes
start /min net stop "Microsoft Exchange Mailbox Assistants" /yes
start /min net stop "Microsoft Exchange Mail Submission" /yes
start /min net stop "Microsoft Exchange Information Store" /yes
start /min net stop "Microsoft Exchange IMAP4" /yes
start /min net stop "Microsoft Exchange Forms-based Authentication service" /yes
start /min net stop "Microsoft Exchange File Distribution" /yes
start /min net stop "Microsoft Exchange EdgeSync" /yes
start /min net stop "Microsoft Exchange Anti-spam Update" /yes
start /min net stop "Microsoft Exchange Address Book" /yes
start /min net stop "Microsoft Exchange Active Directory Topology" /yes


Echo stopping other services

start /min net stop "IIS Admin Service" /yes
start /min net stop "World wide web Publishing service" /yes
start /min net stop "Print Spooler" /yes

:: Reboot now....
shutdown %PARAMETERS% /t 15


:END
